<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

<xsl:template match="/locations">

 <table border='1'>
  <tr><td>選択</td><td>名称</td><td>中心緯度</td><td>中心経度</td><td>ズームレベル</td></tr>
  <xsl:for-each select="location">
   <tr>
    <!-- 選択ラジオボタン -->
    <td>
     <xsl:element name="input">
      <xsl:attribute name="type">radio</xsl:attribute>
      <xsl:attribute name="name">loc_id</xsl:attribute>
      <xsl:attribute name="value"><xsl:value-of select="@id" /></xsl:attribute>
      </xsl:element>
    </td>
    
    <!-- 名称 -->
    <td>
      <xsl:value-of select="name" />
    </td>

    <!-- 緯度 -->
    <td>
      <xsl:value-of select="latitude" />
    </td>

    <!-- 経度 -->
    <td>
      <xsl:value-of select="longitude" />
    </td>

    <!-- 経度 -->
    <td>
      <xsl:value-of select="zoom" />
    </td>
   </tr>
  </xsl:for-each>
  </table>
</xsl:template>

</xsl:stylesheet>
