<?php

include_once('../config.php');

// addLocation( name, latitude, longitude, zoom );

function addLocation( $method, $params ) {
	global $DBFILE;
	global $LOC_TABLE;
	global $PLC_TABLE;
	
	$rval = -1;
	
	$name = mb_convert_encoding(trim($params[0]),"UTF-8", "auto" );
	$latitude = trim($params[1]);
	$longitude = trim($params[2]);
	$zoom     = trim($params[3]);
	
	if( ($name != "" ) && ($latitude != "") &&
	    ($longitude != "" ) && ($zoom != "" ) ) {
		$dbh = sqlite_open( $DBFILE );
		if( $dbh ) {
			$sqlstr = "INSERT INTO $LOC_TABLE VALUES (null, '$name', $latitude, $longitude, '$zoom' )";
			$result = sqlite_query( $sqlstr , $dbh );
			if( $result ) $rval = 0;
			sqlite_close( $dbh );
		}
	}
	return $rval;
}

// deleteLocation( loc_id );

function deleteLocation( $method, $params ) {
	global $DBFILE;
	global $LOC_TABLE;
	global $PLC_TABLE;
	
	$rval = -1;
	
	$loc_id = trim($params[0]);
	
	if( $loc_id != "" ) {
		$dbh = sqlite_open( $DBFILE );
		if( $dbh ) {
			$sqlstr = "DELETE FROM $PLC_TABLE WHERE loc_id='$loc_id'";
			$result = sqlite_query( $sqlstr , $dbh );
			$sqlstr = "DELETE FROM $LOC_TABLE WHERE loc_id='$loc_id'";
			$result = sqlite_query( $sqlstr , $dbh );
			if( $result ) $rval = 0;
			sqlite_close( $dbh );
		}
	}
	return $rval;
}

// editPlace( plc_id, loc_id, title, description, link, image, latitude, longitude );

function editPlace( $method, $params ) {
	global $DBFILE;
	global $LOC_TABLE;
	global $PLC_TABLE;
	
	$rval = -1;
	
	$plc_id = trim($params[0]);
	$loc_id = trim($params[1]);
	$title  = mb_convert_encoding( trim($params[2]), "UTF-8", "auto");
	$description = mb_convert_encoding( trim($params[3]), "UTF-8", "auto" );
	$link = trim($params[4]);
	$image = trim($params[5]);
	$latitude = trim($params[6]);
	$longitude = trim($params[7]);
	
	if( ($longitude != "") && ($latitude != "") ) {
		$dbh = sqlite_open( $DBFILE );
		if( $dbh ) {
			$sqlstr = "";
			if( $plc_id == 0 )
				$sqlstr = "INSERT INTO $PLC_TABLE VALUES ( null, '$loc_id', '$title', '$description', '$link', '$image', $latitude, $longitude )";
			else
				$sqlstr = "UPDATE $PLC_TABLE SET title='$title', description='$description', link='$link', image='$image', lat=$latitude, lng=$longitude WHERE plc_id='$plc_id'";
			$result = sqlite_query( $sqlstr , $dbh );
			if( $result ) $rval = 0;
			sqlite_close( $dbh );
		}
	}
	return $rval;
}

// deletePlace( plc_id );

function deletePlace( $method, $params ) {
	global $DBFILE;
	global $LOC_TABLE;
	global $PLC_TABLE;
	
	$rval = -1;
	
	$plc_id = trim($params[0]);
	
	if( $plc_id != "" ) {
		$dbh = sqlite_open( $DBFILE );
		if( $dbh ) {
			$sqlstr = "DELETE FROM $PLC_TABLE WHERE plc_id='$plc_id'";
			$result = sqlite_query( $sqlstr , $dbh );
			if( $result ) $rval = 0;
			sqlite_close( $dbh );
		}
	}
	return $rval;
}



//

$request = $HTTP_RAW_POST_DATA;

$server = xmlrpc_server_create();
xmlrpc_server_register_method( $server, "addLocation", "addLocation" );
xmlrpc_server_register_method( $server, "deleteLocation", "deleteLocation" );
xmlrpc_server_register_method( $server, "editPlace", "editPlace" );
xmlrpc_server_register_method( $server, "deletePlace", "deletePlace" );

$response = xmlrpc_server_call_method( $server, $request, null );
header( 'Content-type: text/xml' );
print( $response );
xmlrpc_server_destroy( $server );

?>