<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>データベース初期化</TITLE>
</HEAD>
<BODY>

<?php
  include_once("config.php");
  $dbh = @sqlite_open($DBFILE);
  if( $dbh == FALSE )
    exit( "データベースがオープンできません<br>");

	// 地域情報テーブル
  $sqlstr = "CREATE TABLE $LOC_TABLE (".
  	"loc_id		INTEGER	primary key,".			// 地域管理ID
  	"name			TEXT,".											// 地域名
  	"loc_lat	FLOAT,".										// 中心緯度
  	"loc_lng	FLOAT,".										// 中心経度
  	"zoom			TEXT )";										// 初期ズームレベル
  $result = @sqlite_query( $dbh, $sqlstr );
  if( $result == FALSE )
    exit("テーブルの作成に失敗しました<br>");

  $sqlstr = "CREATE TABLE $PLC_TABLE  (".
     "plc_id			INTEGER primary key,". 	// 場所管理ID
     "loc_id			INTEGER,".								// 地域ID
     "title				TEXT,".                	// 場所の名前
     "description	TEXT,".                	// 説明
     "link				TEXT,".									// リンク先URL
     "image				TEXT,".									// イメージ（のパス）
     "lat					FLOAT,".                // 緯度
     "lng					FLOAT )";               // 経度
  $result = @sqlite_query( $dbh, $sqlstr );
  if( $result == FALSE )
    exit("テーブルの作成に失敗しました<br>");
  else
    echo "テーブルを作成しました<br>";
  
  exit("正常終了");
?>