<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

<xsl:template match="place">
<html>
<body>
 <table border='0' width='150'>
  <xsl:if test="title" >
  <tr>
    <td>
     <b>
     <xsl:if test="link" >
       <xsl:element name="a">
         <xsl:attribute name="href">
           <xsl:value-of select="link" />
         </xsl:attribute>
       <xsl:value-of select="title" />
       </xsl:element>
     </xsl:if>
     <xsl:if test="not(link)" >
       <xsl:value-of select="title" />
     </xsl:if>
     </b>
    </td>
  </tr>
  </xsl:if>
  
  <xsl:if test="description" >
  <tr>
    <td>
     <font style="font-size:small">
     <xsl:value-of select="description" />
     </font>
    </td>
  </tr>
  </xsl:if>

  <xsl:if test="image" >
  <tr>
   <td>
   <xsl:element name="img">
      <xsl:attribute name="src">
       <xsl:value-of select="image" />
      </xsl:attribute>
   </xsl:element>
   </td>
  </tr>
  </xsl:if>

 </table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>

